CREAL(3)

NAME
creal - complex real-part function
cimag - complex imaginary-part function

SYNOPSIS
#include <complex.h>
double
creal(double complex z);
long double
creall(long double complex z);
float
crealf(float complex z);

double
cimag(double complex z);
long double
cimagl(long double complex z);
float
cimagf(float complex z);

DESCRIPTION
creal(z) extracts the real part of the complex floating-point number z. cimag(z) extracts the imaginary part of the complex floating-point number z.

If z = x+iy, then creal(z) = x and cimag(z) = y.

EXAMPLES
The function foo defined in the example below returns its complex argument with the imaginary part scaled by a factor of 2.

    #include <complex.h>
    double complex foo(double complex z) {
      return creal(z) + 2.0*cimag(z)*I;
    }

SEE ALSO
complex(3)

STANDARDS
The creal() and cimag() functions conform to ISO/IEC 9899:2011.